/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                       (c) 2003 The Data Crow team                          *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                                                                            *
 *       This library is free software; you can redistribute it and/or        *
 *        modify it under the terms of the GNU Lesser General Public          *
 *       License as published by the Free Software Foundation; either         *
 *     version 2.1 of the License, or (at your option) any later version.     *
 *                                                                            *
 *      This library is distributed in the hope that it will be useful,       *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU       *
 *           Lesser General Public License for more details.                  *
 *                                                                            *
 *     You should have received a copy of the GNU Lesser General Public       *
 *    License along with this library; if not, write to the Free Software     *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA   *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.console.components.lists;

import java.awt.Color;
import java.awt.Dimension;
import java.awt.GridBagConstraints;
import java.awt.Insets;
import java.util.ArrayList;
import java.util.Collection;

import javax.swing.JLabel;
import javax.swing.JPanel;

import net.sf.dc.console.Layout;
import net.sf.dc.core.objects.DcCategory;
import net.sf.dc.core.objects.DcObject;
import net.sf.ext.util.Utilities;

public class DcCategoryListElement extends DcObjectListElement {

    private JPanel panelInfo;
    
    public DcCategoryListElement(DcObject dco) {
        super(dco);
    }
    
    public void setBackground(Color color) {
        super.setBackground(color);
        if (panelInfo != null)
            panelInfo.setBackground(color);
    }     
    
    public Collection getPictures() {
        return new ArrayList();
    }

    public void build() {
        setLayout(Layout.getGBL());

        panelInfo = getPanel();
        JLabel label = getLabel(DcCategory._A_NAME, false, 200);

        if (    dco.getValue(DcCategory._B_ICON) != null &&
                dco.getValue(DcCategory._B_ICON).toString().length() > 10)
            label.setIcon(Utilities.base64ToImage((String) dco.getValue(DcCategory._B_ICON)));
        
        panelInfo.add(label);
        panelInfo.setPreferredSize(new Dimension(225, 25));
        add(panelInfo,        Layout.getGBC( 1, 0, 1, 1, 1.0, 1.0
                 ,GridBagConstraints.NORTHWEST, GridBagConstraints.NONE,
                  new Insets(0, 0, 0, 0), 0, 0));
    } 
}
