package net.sf.dc.console.components.lists;

import java.awt.Color;
import java.awt.Dimension;
import java.awt.GridBagConstraints;
import java.awt.Insets;
import java.util.ArrayList;
import java.util.Collection;

import javax.swing.JLabel;
import javax.swing.JPanel;

import net.sf.dc.console.Layout;
import net.sf.dc.core.objects.DcObject;
import net.sf.dc.core.objects.musicfiles.MusicTrack;

public class DcMusicTrackListElement extends DcObjectListElement {

    private JPanel panelInfo;
    
    public DcMusicTrackListElement(DcObject dco) {
        super(dco);
    }
    
    public void setBackground(Color color) {
        super.setBackground(color);
        if (panelInfo != null)
            panelInfo.setBackground(color);
    }     
    
    public Collection getPictures() {
        return new ArrayList();
    }

    public void build() {
        setLayout(Layout.getGBL());

        panelInfo = getPanel();
        JLabel labelTitle = getLabel(MusicTrack._A_TITLE, false, 310);
        JLabel labelPlaylength = getLabel(MusicTrack._J_PLAYLENGTH, false, 50);
        
        panelInfo.add(labelTitle);
        panelInfo.add(labelPlaylength);
        
        panelInfo.setPreferredSize(new Dimension(360, 25));
        add(panelInfo,        Layout.getGBC( 1, 0, 1, 1, 1.0, 1.0
                 ,GridBagConstraints.NORTHWEST, GridBagConstraints.NONE,
                  new Insets(0, 0, 0, 0), 0, 0));
    } 
}
