package net.sf.dc.console.components.lists;

import java.awt.Color;
import java.awt.Dimension;
import java.awt.GridBagConstraints;
import java.awt.Insets;
import java.util.ArrayList;
import java.util.Collection;

import javax.swing.JLabel;
import javax.swing.JPanel;

import net.sf.dc.console.Layout;
import net.sf.dc.core.objects.DcObject;
import net.sf.dc.core.objects.DcStorageMedium;
import net.sf.ext.util.Utilities;

public class DcStorageMediumListElement extends DcObjectListElement {

    private JPanel panelInfo;
    
    public DcStorageMediumListElement(DcObject dco) {
        super(dco);
    }
    
    public void setBackground(Color color) {
        super.setBackground(color);
        if (panelInfo != null)
            panelInfo.setBackground(color);
    }     
    
    public Collection getPictures() {
        return new ArrayList();
    }

    public void build() {
        setLayout(Layout.getGBL());

        panelInfo = getPanel();
        JLabel label = getLabel(DcStorageMedium._A_NAME, false, 200);

        if (    dco.getValue(DcStorageMedium._B_ICON) != null &&
                dco.getValue(DcStorageMedium._B_ICON).toString().length() > 10)
            label.setIcon(Utilities.base64ToImage((String) dco.getValue(DcStorageMedium._B_ICON)));
        
        panelInfo.add(label);
        panelInfo.setPreferredSize(new Dimension(225, 25));
        add(panelInfo,        Layout.getGBC( 1, 0, 1, 1, 1.0, 1.0
                 ,GridBagConstraints.NORTHWEST, GridBagConstraints.NONE,
                  new Insets(0, 0, 0, 0), 0, 0));
    } 
}
