package net.sf.dc.console.components.lists;

import java.awt.Color;
import java.awt.Dimension;
import java.awt.GridBagConstraints;
import java.awt.Insets;
import java.util.ArrayList;
import java.util.Collection;

import javax.swing.JPanel;

import net.sf.dc.console.Layout;
import net.sf.dc.console.components.DcLabel;
import net.sf.dc.core.Repository;
import net.sf.dc.core.objects.DcObject;
import net.sf.dc.core.objects.template.ITemplate;
import net.sf.dc.settings.DcSettings;

public class DcTemplateListElement extends DcObjectListElement {

    private JPanel panelInfo;
    
    public DcTemplateListElement(DcObject dco) {
        super(dco);
    }
    
    public void setBackground(Color color) {
        super.setBackground(color);
        if (panelInfo != null)
            panelInfo.setBackground(color);
    }     
    
    public Collection getPictures() {
        return new ArrayList();
    }

    public void build() {
        setLayout(Layout.getGBL());
        
        ITemplate template = (ITemplate) dco;
        
        String label = dco.getDisplayString(50); 
        if (template.isDefault()) 
            label += " (default)";
        
        
        DcLabel lbl = new DcLabel(label);
        lbl.setPreferredSize(new Dimension(250, fieldHeight));
        lbl.setFont(DcSettings.getValueAsFont(Repository.settings.stSystemFontNormal));
        
        panelInfo = getPanel();
        panelInfo.add(lbl);
        panelInfo.setPreferredSize(new Dimension(250, 25));
        add(panelInfo,        Layout.getGBC( 1, 0, 1, 1, 1.0, 1.0
           ,GridBagConstraints.NORTHWEST, GridBagConstraints.NONE, new Insets(0, 0, 0, 0), 0, 0));
    } 
}