package net.sf.dc.console.components.panels;

import java.util.ArrayList;
import java.util.Collection;

import javax.swing.JComponent;

import net.sf.dc.console.dialogs.MessageBox;
import net.sf.dc.console.views.table.TableInsertView;
import net.sf.dc.core.IconLibrary;
import net.sf.dc.core.modules.DcModules;
import net.sf.dc.core.objects.DcObject;
import net.sf.dc.resources.DcResources;

public class ParentInsertTablePanel extends TableInsertView {

    /**
     * Creates the panel
     */
    public ParentInsertTablePanel(int module) {
        super(DcModules.getModule(module),
              DcResources.getText("lblNewItem", DcModules.getModule(module).getObjectName()),
              IconLibrary._icoItemsNew);
    }

    public void open() {
        cancelEdit();

        int selectedRow = table.getSelectedRow();
        if (selectedRow == -1) {
            new MessageBox(DcResources.getText("msgSelectRowToOpen"), MessageBox._WARNING);
        } else {
            DcObject dco = getObjectForSaving(selectedRow);
            dco.removeRequestors();
            open(dco, false);
        }
    }    
    
    public Collection getChildren(String parentID) {
        return new ArrayList();
    }
    
    public JComponent[] getExtraComponents() {
        return new JComponent[0];
    }
}
