/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                       (c) 2003 The Data Crow team                          *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                                                                            *
 *       This library is free software; you can redistribute it and/or        *
 *        modify it under the terms of the GNU Lesser General Public          *
 *       License as published by the Free Software Foundation; either         *
 *     version 2.1 of the License, or (at your option) any later version.     *
 *                                                                            *
 *      This library is distributed in the hope that it will be useful,       *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU       *
 *           Lesser General Public License for more details.                  *
 *                                                                            *
 *     You should have received a copy of the GNU Lesser General Public       *
 *    License along with this library; if not, write to the Free Software     *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA   *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.console.components.renderers;

import java.awt.Color;
import java.awt.Component;
import java.awt.Font;

import javax.swing.DefaultListCellRenderer;
import javax.swing.JList;

import net.sf.dc.core.Repository;
import net.sf.dc.settings.DcSettings;

public class DcObjectListRenderer extends DefaultListCellRenderer  {

    public Component getListCellRendererComponent(JList list, Object value,
                                                  int index, boolean isSelected, boolean cellHasFocus) {

        Component component = (Component) value;
        
        if (component != null) {
            Color colorOddRow = DcSettings.getValueAsColor(Repository.settings.stOddRowColor);
            Color colorEvenRow = DcSettings.getValueAsColor(Repository.settings.stEvenRowColor);
            Color colorRowSelection = DcSettings.getValueAsColor(Repository.settings.stRowSelectionColor);
            
            Font font = DcSettings.getValueAsFont(Repository.settings.stSystemFontNormal);
            component.setFont(font);
            
            if (!isSelected) {
                if ((index % 2) == 0) {
                    component.setBackground(colorEvenRow);
                } else {
                    component.setBackground(colorOddRow);
                }
            } else {
                component.setBackground(colorRowSelection);
            }
        }

        return component;
    }
}


