/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                       (c) 2003 The Data Crow team                          *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                                                                            *
 *       This library is free software; you can redistribute it and/or        *
 *        modify it under the terms of the GNU Lesser General Public          *
 *       License as published by the Free Software Foundation; either         *
 *     version 2.1 of the License, or (at your option) any later version.     *
 *                                                                            *
 *      This library is distributed in the hope that it will be useful,       *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU       *
 *           Lesser General Public License for more details.                  *
 *                                                                            *
 *     You should have received a copy of the GNU Lesser General Public       *
 *    License along with this library; if not, write to the Free Software     *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA   *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.console.components.renderers;

import java.awt.Color;
import java.awt.Component;

import javax.swing.JButton;
import javax.swing.JTable;
import javax.swing.border.EtchedBorder;

import net.sf.dc.console.ComponentFactory;
import net.sf.dc.core.Repository;
import net.sf.dc.settings.DcSettings;

public class DcTableRowIndexCellRenderer extends DcTableCellRenderer {

    private final EtchedBorder border = new EtchedBorder(5);
    public static final JButton button = ComponentFactory.getButton("");
    
    public Component getTableCellRendererComponent(
                                            JTable table, 
                                            Object value, 
                                            boolean isSelected, 
                                            boolean hasFocus, 
                                            int row,
                                            int column) {
        
        button.setText("" + (row + 1));
        button.setToolTipText("" + (row + 1));
        Color color = DcSettings.getValueAsColor(Repository.settings.stTableHeaderColor);
        button.setFont(ComponentFactory.getStandardFont());
        button.setBackground(color);
        button.setBorder(border);
        return button;
    }
}
