/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                       (c) 2003 The Data Crow team                          *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                                                                            *
 *       This library is free software; you can redistribute it and/or        *
 *        modify it under the terms of the GNU Lesser General Public          *
 *       License as published by the Free Software Foundation; either         *
 *     version 2.1 of the License, or (at your option) any later version.     *
 *                                                                            *
 *      This library is distributed in the hope that it will be useful,       *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU       *
 *           Lesser General Public License for more details.                  *
 *                                                                            *
 *     You should have received a copy of the GNU Lesser General Public       *
 *    License along with this library; if not, write to the Free Software     *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA   *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.console.components.renderers;

import java.awt.Component;

import javax.swing.JTable;

import net.sf.dc.resources.DcResources;
import net.sf.ext.util.Utilities;

public class RatingTableCellRenderer extends DcTableCellRenderer {

	public Component getTableCellRendererComponent(
            JTable table, Object value, boolean isSelected, boolean hasFocus, int row, int column) {

        super.getTableCellRendererComponent(table, value, isSelected, hasFocus, row, column);           
        
        
        setText("");
        if (value == null || value.equals(new Integer(-1))) {
            setText(DcResources.getText("lblRatingNotRated"));
            setIcon(null);
        } else {
            setIcon(Utilities.getRatingIcon(value));
        }        
        
		return this;
	}
    
    protected String getTipText() {
        int integer = 0;
        String text = DcResources.getText("lblRatingNotRated");
        try {
            integer = Integer.parseInt(getText());
        } catch (Exception ignore) {}
        
        if (integer > -1) 
            text = integer + " " + DcResources.getText("lblRatingOutOf");
        
        return text;
    }    
}
