package net.sf.dc.console.dialogs;

import java.awt.Dimension;
import java.awt.GridBagConstraints;
import java.awt.Insets;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;

import net.sf.dc.console.ComponentFactory;
import net.sf.dc.console.Layout;
import net.sf.dc.console.components.DcDialog;
import net.sf.dc.console.components.DcLookAndFeelSelector;
import net.sf.dc.core.DataCrow;
import net.sf.dc.core.Repository;
import net.sf.dc.resources.DcResources;
import net.sf.dc.settings.DcSettings;

public class LookAndFeelDialog extends DcDialog {
    
    public LookAndFeelDialog() {
        super(DataCrow.mainFrame);
        
        setTitle(DcResources.getText("lblLookAndFeel"));
        setHelpIndex("dc.Settings.Laf");
        
        getContentPane().setLayout(Layout.getGBL());
        
        DcLookAndFeelSelector lafSelector = ComponentFactory.getLookAndFeelSelector();
        lafSelector.setParent(this);
        lafSelector.setValue(DcSettings.getValueAsLookAndFeel(Repository.settings.stLookAndFeel));
        
        JButton buttonCancel = ComponentFactory.getButton(DcResources.getText("lblCancel"));
        buttonCancel.addActionListener(new CloseAction());
        buttonCancel.setMnemonic('C');
        
        getContentPane().add(lafSelector,  Layout.getGBC( 0, 0, 1, 1, 10.0, 10.0
           ,GridBagConstraints.NORTHWEST, GridBagConstraints.BOTH,
            new Insets( 5, 5, 5, 5), 0, 0));
        getContentPane().add(buttonCancel,  Layout.getGBC( 0, 1, 1, 1, 1.0, 1.0
           ,GridBagConstraints.NORTHEAST, GridBagConstraints.NONE,
            new Insets( 5, 5, 5, 5), 0, 0));

        pack();
        
        setSize(new Dimension(400, 300));
        
        setCenteredLocation();
    }

    private void exit() {
        dispose();
        setVisible(false);
    }
    
    private class CloseAction implements ActionListener {
        public void actionPerformed(ActionEvent arg0) {
            exit();
        }
    }
}
