/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                       (c) 2003 The Data Crow team                          *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                                                                            *
 *       This library is free software; you can redistribute it and/or        *
 *        modify it under the terms of the GNU Lesser General Public          *
 *       License as published by the Free Software Foundation; either         *
 *     version 2.1 of the License, or (at your option) any later version.     *
 *                                                                            *
 *      This library is distributed in the hope that it will be useful,       *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU       *
 *           Lesser General Public License for more details.                  *
 *                                                                            *
 *     You should have received a copy of the GNU Lesser General Public       *
 *    License along with this library; if not, write to the Free Software     *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA   *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.console.expert;

import java.awt.Dimension;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;

import net.sf.dc.console.ComponentFactory;
import net.sf.dc.console.Layout;
import net.sf.dc.console.components.DcPanel;
import net.sf.dc.console.dialogs.MessageBox;
import net.sf.dc.core.DataCrow;
import net.sf.dc.resources.DcResources;
import net.sf.dc.wf.WorkFlow;

public class MaintenancePanel extends DcPanel {

    public MaintenancePanel() {
        super(null, null);
        buildPanel();
    }
    
    private void buildPanel() {
        setLayout(Layout.getGBL());
        
        JButton buttonCompact = ComponentFactory.getButton(DcResources.getText("lblCompactAndShutdown"));
        buttonCompact.setToolTipText(DcResources.getText("tpCompactAndShutdown"));
        buttonCompact.addActionListener(new CompactAndShutdown());
        buttonCompact.setMaximumSize(new Dimension(200, 21));
        buttonCompact.setPreferredSize(new Dimension(200, 21));
        
        buttonCompact.setMnemonic('C');
        
        add(buttonCompact);
    }
    
    private void compactAndShutDown() {
        try {
        	WorkFlow.runQueryDirectUnclosed("SHUTDOWN COMPACT;");
            DataCrow.mainFrame.finish();
        } catch (Exception exp) {
        	new MessageBox(exp.getMessage(), MessageBox.ERROR);
        }
    }
    
    private class CompactAndShutdown implements ActionListener {

        public void actionPerformed(ActionEvent arg0) {
        	compactAndShutDown();
        }
    }
}
