package net.sf.dc.console.forms;

import javax.swing.JFrame;

import net.sf.dc.core.Repository;
import net.sf.dc.core.data.DataFilter;
import net.sf.dc.core.data.DataFilterOptions;
import net.sf.dc.core.data.DataManager;
import net.sf.dc.core.objects.DcField;
import net.sf.dc.core.objects.DcObject;
import net.sf.dc.core.objects.DcStorageMedium;
import net.sf.dc.settings.DcSettings;
import net.sf.dc.wf.requests.RefreshSimpleItemViewRequest;
import net.sf.dc.wf.requests.RequestCollection;

public class StorageMediaForm extends DcSimpleItemView {
    
    public StorageMediaForm(JFrame parent, int module) {
        super(parent, module, false);
    }
    
    public void addObjects() {
        list.clear();
        DcObject dco = getModule().getDcObject();
        
        DataFilterOptions dfo = new DataFilterOptions(new DcField[] {dco.getField(DcStorageMedium._A_NAME)}, false, false);
        DataFilter df = new DataFilter(getModule().getIndex(), dco, dfo);
        list.add(DataManager.get(getModule().getIndex(), df));
    }
    
    protected void close() {
        DcSettings.setValue(Repository.settings.stStorageMediaFormSize, getSize());
        dispose();        
    }
    
    public void open() {
        DcObject dco = list.getSelectedObject();
        if (dco != null) {
            dco.markAsUnchanged();
            StorageMediaItemForm storageMediaItemForm = new StorageMediaItemForm(true, dco, this);
            storageMediaItemForm.setVisible(true);
        }
    }
    
    public void createNew() {
        StorageMediaItemForm storageMediaItemForm = new StorageMediaItemForm(false, getModule().getDcObject(), this);
        storageMediaItemForm.setVisible(true);
    }

    public RequestCollection getAfterDeleteRequests() {
        RequestCollection requests = new RequestCollection();
        requests.addRequest(new RefreshSimpleItemViewRequest(this));
        return requests;
    }

    protected String getSizeSettingsKey() {
        return Repository.settings.stStorageMediaFormSize;
    }
}
