package net.sf.dc.console.forms;

import net.sf.dc.core.DataCrow;
import net.sf.dc.core.Repository;
import net.sf.dc.core.objects.DcObject;
import net.sf.dc.core.objects.template.Templates;
import net.sf.dc.settings.DcSettings;
import net.sf.dc.wf.requests.RefreshSimpleItemViewRequest;
import net.sf.dc.wf.requests.RequestCollection;

public class TemplateForm extends DcSimpleItemView {

    public TemplateForm(int module, boolean readonly) {
        super(DataCrow.mainFrame, module, readonly);
        setHelpIndex("dc.Tools.Templates");
    }

    public void addObjects() {
        Templates.refresh();
        
        list.clear();
        list.add(Templates.getTemplates(getModuleIdx()));
    }

    protected void close() {
        DcSettings.setValue(Repository.settings.stTemplateFormSize, getSize());
        
        DataCrow.mainFrame.updateMenuBar();
        
        dispose();      
    }

    public void createNew() {
        TemplateItemForm form = new TemplateItemForm(false, getModule().getDcObject(), this);
        form.setVisible(true);
        
    }

    public RequestCollection getAfterDeleteRequests() {
        RequestCollection requests = new RequestCollection();
        requests.addRequest(new RefreshSimpleItemViewRequest(this));
        return requests;
    }

    protected String getSizeSettingsKey() {
        return Repository.settings.stTemplateFormSize;
    }

    public void open() {
        DcObject dco = list.getSelectedObject();
        if (dco != null) {
            dco.markAsUnchanged();
            TemplateItemForm form = new TemplateItemForm(true, dco, this);
            form.setVisible(true);
        }
    }
}
