/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                       (c) 2003 The Data Crow team                          *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                                                                            *
 *       This library is free software; you can redistribute it and/or        *
 *        modify it under the terms of the GNU Lesser General Public          *
 *       License as published by the Free Software Foundation; either         *
 *     version 2.1 of the License, or (at your option) any later version.     *
 *                                                                            *
 *      This library is distributed in the hope that it will be useful,       *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU       *
 *           Lesser General Public License for more details.                  *
 *                                                                            *
 *     You should have received a copy of the GNU Lesser General Public       *
 *    License along with this library; if not, write to the Free Software     *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA   *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.core.actions;

import java.awt.event.ActionEvent;

import net.sf.dc.console.MainFrame;
import net.sf.dc.core.modules.DcModule;
import net.sf.dc.core.modules.DcModules;

public class InternetUpdateAction extends DcAction {

    public InternetUpdateAction() {
        super();
    }

    public void actionPerformed(ActionEvent e) {
    	DcModule module = getModule();
        int tab = getCurrentTab();
        if (module.getIndex() == DcModules._SOFTWARE) {
            if (tab == MainFrame._INSERTTAB) {
                getModule().getCurrentInsertView().startAmazonUpdate();
            } else if (tab == MainFrame._SEARCHTAB){
                getModule().getCurrentSearchView().startAmazonUpdate();
            }
        } else if (module.getIndex() == DcModules._MOVIE) {
            if (tab == MainFrame._INSERTTAB) {
                getModule().getCurrentInsertView().startIMDBUpdate();
            } else if (tab == MainFrame._SEARCHTAB){
                getModule().getCurrentSearchView().startIMDBUpdate();
            }
        } else if (module.getIndex() == DcModules._AUDIOCD) {
        	module.startImport();
        } else if (module.getIndex() == DcModules._BOOK) {
            if (tab == MainFrame._INSERTTAB) {
                getModule().getCurrentInsertView().startAmazonUpdate();
            } else if (tab == MainFrame._SEARCHTAB){
                getModule().getCurrentSearchView().startAmazonUpdate();
            }
        }
    }
}
