/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                       (c) 2003 The Data Crow team                          *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                                                                            *
 *       This library is free software; you can redistribute it and/or        *
 *        modify it under the terms of the GNU Lesser General Public          *
 *       License as published by the Free Software Foundation; either         *
 *     version 2.1 of the License, or (at your option) any later version.     *
 *                                                                            *
 *      This library is distributed in the hope that it will be useful,       *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU       *
 *           Lesser General Public License for more details.                  *
 *                                                                            *
 *     You should have received a copy of the GNU Lesser General Public       *
 *    License along with this library; if not, write to the Free Software     *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA   *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.core.actions;

import java.awt.event.ActionEvent;

import net.sf.dc.core.Repository;
import net.sf.dc.core.modules.DcModules;
import net.sf.dc.settings.DcSettings;

public class ToggleQuickViewAction extends DcAction {

    public ToggleQuickViewAction() {
        super();
    }

    public void actionPerformed(ActionEvent ae) {
        boolean b = !DcSettings.getValueAsBoolean(Repository.settings.stShowQuickView);
        DcModules.getModule(DcModules._AUDIOCD).getCurrentSearchView().showQuickView(b);
        DcModules.getModule(DcModules._SOFTWARE).getCurrentSearchView().showQuickView(b);
        DcModules.getModule(DcModules._MUSICALBUM).getCurrentSearchView().showQuickView(b);
        DcModules.getModule(DcModules._MOVIE).getCurrentSearchView().showQuickView(b);
        DcModules.getModule(DcModules._BOOK).getCurrentSearchView().showQuickView(b);
        DcModules.getModule(DcModules._GENERIC).getCurrentSearchView().showQuickView(b);
        DcModules.getModule(DcModules._CONTACTPERSON).getCurrentSearchView().showQuickView(b);
        DcSettings.setValue(Repository.settings.stShowQuickView, new Boolean(b));
    }
}
