/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                       (c) 2003 The Data Crow team                          *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                                                                            *
 *       This library is free software; you can redistribute it and/or        *
 *        modify it under the terms of the GNU Lesser General Public          *
 *       License as published by the Free Software Foundation; either         *
 *     version 2.1 of the License, or (at your option) any later version.     *
 *                                                                            *
 *      This library is distributed in the hope that it will be useful,       *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU       *
 *           Lesser General Public License for more details.                  *
 *                                                                            *
 *     You should have received a copy of the GNU Lesser General Public       *
 *    License along with this library; if not, write to the Free Software     *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA   *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.core.data;

import net.sf.dc.core.objects.DcField;

public class DataFilterOptions {

    private DcField[] ordering;
    private boolean complyAll;
    private boolean exactMatch;

    public DataFilterOptions(DcField[] ordering, boolean complyAll, boolean exactMatch) {
        this.ordering = ordering == null ? new DcField[0] : ordering;
        this.complyAll = complyAll;
        this.exactMatch = exactMatch;
    }

    public DcField[] getOrdering() {
        return ordering;
    }

    public boolean complyAll() {
        return complyAll;
    }

    public boolean exactMatch() {
        return exactMatch;
    }
}
