/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                       (c) 2003 The Data Crow team                          *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                                                                            *
 *       This library is free software; you can redistribute it and/or        *
 *        modify it under the terms of the GNU Lesser General Public          *
 *       License as published by the Free Software Foundation; either         *
 *     version 2.1 of the License, or (at your option) any later version.     *
 *                                                                            *
 *      This library is distributed in the hope that it will be useful,       *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU       *
 *           Lesser General Public License for more details.                  *
 *                                                                            *
 *     You should have received a copy of the GNU Lesser General Public       *
 *    License along with this library; if not, write to the Free Software     *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA   *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.core.modules;

import javax.swing.ImageIcon;
import javax.swing.JMenu;
import javax.swing.KeyStroke;

import net.sf.dc.console.ComponentFactory;
import net.sf.dc.console.components.panels.QuickViewPanel;
import net.sf.dc.console.forms.CategoryForm;
import net.sf.dc.console.importcd.ImportCDDialog;
import net.sf.dc.core.DataCrow;
import net.sf.dc.core.Repository;
import net.sf.dc.core.modules.template.ITemplateModule;
import net.sf.dc.core.objects.DcCategory;
import net.sf.dc.core.objects.DcField;
import net.sf.dc.core.objects.DcStorageMedium;
import net.sf.dc.processes.cdimport.ImportCDProcess;
import net.sf.dc.settings.definitions.ReportFieldDefinitions;

public abstract class DcCategoryModule extends DcModule {

    protected CategoryForm form;
    
    public DcCategoryModule(int index, 
            boolean topModule,
            String name,
            String tableName,
            String tableShortName,
            String tableJoin,
            boolean allowImdbUpdate,
            boolean allowAmazonUpdate,
            boolean allowFreeDbUpdate) {

        super(index, topModule, name, tableName, tableShortName,
              tableJoin, allowImdbUpdate, allowAmazonUpdate, allowFreeDbUpdate);
    }    
    
    public ImageIcon getIcon() {
        return null;
    }
    
    public ImageIcon getIconSmall() {
        return null;
    }
    
    public KeyStroke getKeyStroke() {
        return null;
    }
    
    /**
     * Create the insert and search panel
     */    
    protected void initializeUI() {
        if (form == null)
            form = new CategoryForm(DataCrow.mainFrame, getIndex());
    }

    public void startImport() {}
    
    public CategoryForm getForm() {
        initializeUI();
        return form;    
    }  

    public boolean isEnabled() {
        return true;
    }
    
    public void isEnabled(boolean b){}
    
    public DcCategoryModule getCategoryModule() {
        return null;
    } 
    
    public DcStorageMediaModule getStorageMediaModule() {
        return null;
    }
    
    public DcStateModule getStateModule() {
        return null;
    } 

    public ITemplateModule getTemplateModule() {
        return null;
    }     
    
    public JMenu getToolsMenu() {
        return null;
    }  

    public QuickViewPanel getQuickView() {
        return null;
    } 
    
    public ImportCDProcess getCDImportProcess(ImportCDDialog ui, DcStorageMedium storageMedium, String sourceDir, boolean confirmDirs, boolean recursiveDirs, String nameOfCD) {
        return null;
    }  
    
    public ReportFieldDefinitions getReportFieldDefinitions() {
        return new ReportFieldDefinitions();
    }    
    
    public String getSearchOrderSettingsKey() {
        return null;
    }
    
    protected void initializeFields() {
        super.initializeFields();
        fields.put( new Integer(DcCategory._A_NAME), 
                    new DcField(DcCategory._A_NAME, getIndex(), "Name", 
                                false, true, false, true, false,
                                255, ComponentFactory._SHORTTEXTFIELD, getIndex(), Repository.datatypes._STRING,
                                "Name"));
        fields.put( new Integer(DcCategory._B_ICON), 
                    new DcField(DcCategory._B_ICON, getIndex(), "Icon", 
                                false, true, true, false, false,
                                255, ComponentFactory._PICTUREFIELD, getIndex(), Repository.datatypes._ICON,
                                "Icon"));
    }     
}
