package net.sf.dc.core.modules.image;

import java.io.File;
import java.net.URL;

import net.sf.dc.core.Repository;
import net.sf.dc.core.modules.DcCategoryModule;
import net.sf.dc.core.modules.DcModules;
import net.sf.dc.core.objects.DcObject;
import net.sf.dc.core.objects.image.ImageCategory;
import net.sf.dc.resources.DcResources;
import net.sf.ext.util.Utilities;

public class ImageCategoryModule extends DcCategoryModule {
    
    public ImageCategoryModule() {
        super(DcModules._IMAGECAT,
              false,
              DcResources.getText(Repository.systemlabels.sysCategory),
              "imagecategories",
              "imgca",
              "imagecategories",
              false,
              false,
              false);
    }
    
    public String getObjectName() {
        return DcResources.getText(Repository.systemlabels.sysCategory);
    }    
    
    public String getObjectNamePlural() {
        return DcResources.getText(Repository.systemlabels.sysCategoryPlural);
    }    
    
    public DcObject getDcObject() {
        return new ImageCategory();
    }
    
    public String getFieldDefinitionsSettingsKey() {
        return Repository.settings.stFieldDefinitionsImageCategory;
    }

    public DcObject[] getDefaultData() throws Exception {
        String link = "file://" + Utilities.getCurrentDirectory() + File.separator + 
                      "icons_user" + File.separator;
            
        String[][] values = {{"Family Picture", link + "Sy-Klone.gif"},
                             {"Wallpaper", link + "WeClaimTheMoon.gif"}};

        DcObject[] objects = new DcObject[values.length];
        for (int i = 0; i < values.length; i++) {
            DcObject dco = getDcObject();

            URL url = new URL(values[i][1]);
            String s = Utilities.fileToBase64String(url);

            dco.setValue(ImageCategory._A_NAME, values[i][0]);
            dco.setValue(ImageCategory._B_ICON, s);                            
            
            objects[i] = dco;
        }

        return objects;
    }
}