package net.sf.dc.core.modules.image;

import java.io.File;
import java.net.URL;

import net.sf.dc.core.Repository;
import net.sf.dc.core.modules.DcModules;
import net.sf.dc.core.modules.DcStateModule;
import net.sf.dc.core.objects.DcObject;
import net.sf.dc.core.objects.DcState;
import net.sf.dc.core.objects.image.ImageState;
import net.sf.dc.resources.DcResources;
import net.sf.ext.util.Utilities;

public class ImageStateModule extends DcStateModule {

    public ImageStateModule() {
        super(DcModules._IMAGESTATE,
              false,
              DcResources.getText(Repository.systemlabels.sysState),
              "imagestates",
              "imgstates",
              "imagestates",
              false,
              false,
              false);
    }
    
    public String getObjectName() {
        return DcResources.getText(Repository.systemlabels.sysState);
    }    
    
    public String getObjectNamePlural() {
        return DcResources.getText(Repository.systemlabels.sysStatePlural);
    }    
    
    public DcObject getDcObject() {
        return new ImageState();
    }
    
    public String getFieldDefinitionsSettingsKey() {
        return Repository.settings.stFieldDefinitionsImageState;
    }

    public DcObject[] getDefaultData() throws Exception {
        String link = "file://" + Utilities.getCurrentDirectory() + File.separator + 
                      "icons_system" + File.separator;
            
        String[][] values = {{"Lost", link + "state_lost.gif"}};

        DcObject[] objects = new DcObject[values.length];
        for (int i = 0; i < values.length; i++) {
            DcObject dco = getDcObject();

            URL url = new URL(values[i][1]);
            String s = Utilities.fileToBase64String(url);

            dco.setValue(DcState._A_NAME, values[i][0]);
            dco.setValue(DcState._B_ICON, s);                            
            
            objects[i] = dco;
        }
        return objects;
    }
}