package net.sf.dc.core.modules.image;

import net.sf.dc.core.Repository;
import net.sf.dc.core.modules.DcModules;
import net.sf.dc.core.modules.DcStorageMediaModule;
import net.sf.dc.core.objects.DcObject;
import net.sf.dc.core.objects.image.ImageStorageMedium;
import net.sf.dc.resources.DcResources;

public class ImageStorageMediaModule extends DcStorageMediaModule {

    public ImageStorageMediaModule() {
        super(DcModules._IMAGESTORAGE,
              false,
              DcResources.getText(Repository.systemlabels.sysStorageMedium),
              "imagestoragemedia",
              "imgsme",
              "imagestoragemedia",
              false,
              false,
              false);
    }

    public String getObjectName() {
        return DcResources.getText(Repository.systemlabels.sysStorageMedium);
    }
    
    public String getObjectNamePlural() {
        return DcResources.getText(Repository.systemlabels.sysStorageMediumPlural);
    }

    public DcObject getDcObject() {
        return new ImageStorageMedium();
    }
    
    public String getFieldDefinitionsSettingsKey() {
        return Repository.settings.stFieldDefinitionsImageStorage;
    }
    
    public DcObject[] getDefaultData() throws Exception {
        String[] values = {"DVD-ROM", "CD-ROM", "Tape", "Floppy", "HD", "USB Stick", "Blue-Ray Disc"};
        DcObject[] objects = new DcObject[values.length];
        for (int i = 0; i < values.length; i++) {
            DcObject dco = getDcObject();
            dco.setValue(ImageStorageMedium._A_NAME, values[i]);
            objects[i] = dco;
        }
        return objects;
    }    
}
