package net.sf.dc.core.modules.movie;

import net.sf.dc.core.Repository;
import net.sf.dc.core.modules.DcModules;
import net.sf.dc.core.modules.DcStorageMediaModule;
import net.sf.dc.core.objects.DcObject;
import net.sf.dc.core.objects.movie.MovieStorageMedium;
import net.sf.dc.resources.DcResources;

public class MovieStorageMediaModule extends DcStorageMediaModule {

    public MovieStorageMediaModule() {
        super(DcModules._MOVIESTORAGE,
              false,
              DcResources.getText(Repository.systemlabels.sysStorageMedium),
              "moviestoragemedia",
              "msme",
              "moviestoragemedia",
              false,
              false,
              false);
    }

    public String getObjectName() {
        return DcResources.getText(Repository.systemlabels.sysStorageMedium);
    }
    
    public String getObjectNamePlural() {
        return DcResources.getText(Repository.systemlabels.sysStorageMediumPlural);
    }

    public DcObject getDcObject() {
        return new MovieStorageMedium();
    }
    
    public String getFieldDefinitionsSettingsKey() {
        return Repository.settings.stFieldDefinitionsMovieStorage;
    }
    
    public DcObject[] getDefaultData() throws Exception {
        String[] values = {"VHS", "DVD", "VCD", "HD", "Tape", "Blue-Ray Disc"};
        DcObject[] objects = new DcObject[values.length];
        for (int i = 0; i < values.length; i++) {
            DcObject dco = getDcObject();
            dco.setValue(MovieStorageMedium._A_NAME, values[i]);
            objects[i] = dco;
        }
        return objects;
    }    
}
