package net.sf.dc.core.modules.musicfile;

import net.sf.dc.core.Repository;
import net.sf.dc.core.modules.DcModules;
import net.sf.dc.core.modules.DcStorageMediaModule;
import net.sf.dc.core.objects.DcObject;
import net.sf.dc.core.objects.musicfiles.MusicAlbumStorageMedium;
import net.sf.dc.resources.DcResources;

public class MusicAlbumStorageMediaModule extends DcStorageMediaModule {

    public MusicAlbumStorageMediaModule() {
        super(DcModules._MUSICALBUMSTORAGE,
              false,
              DcResources.getText(Repository.systemlabels.sysStorageMedium),
              "musicalbumstoragemedia",
              "masme",
              "musicalbumstoragemedia",
              false,
              false,
              false);
    }

    public String getObjectName() {
        return DcResources.getText(Repository.systemlabels.sysStorageMedium);
    }
    
    public String getObjectNamePlural() {
        return DcResources.getText(Repository.systemlabels.sysStorageMediumPlural);
    }

    public DcObject getDcObject() {
        return new MusicAlbumStorageMedium();
    }
    
    public String getFieldDefinitionsSettingsKey() {
        return Repository.settings.stFieldDefinitionsMusicAlbumStorage;
    }
    
    public DcObject[] getDefaultData() throws Exception {
        String[] values = {"DVD-ROM", "CD-ROM", "Tape", "Floppy", "HD", "USB Stick", "Blue-Ray Disc"};
        DcObject[] objects = new DcObject[values.length];
        for (int i = 0; i < values.length; i++) {
            DcObject dco = getDcObject();
            dco.setValue(MusicAlbumStorageMedium._A_NAME, values[i]);
            objects[i] = dco;
        }
        return objects;
    }    
}