package net.sf.dc.core.modules.musicfile;

import java.io.File;
import java.net.URL;

import net.sf.dc.core.Repository;
import net.sf.dc.core.modules.DcModules;
import net.sf.dc.core.modules.DcStateModule;
import net.sf.dc.core.objects.DcObject;
import net.sf.dc.core.objects.DcState;
import net.sf.dc.core.objects.musicfiles.MusicTrackState;
import net.sf.dc.resources.DcResources;
import net.sf.ext.util.Utilities;

public class MusicTrackStateModule extends DcStateModule {

    public MusicTrackStateModule() {
        super(DcModules._MUSICTRACKSTATE,
              false,
              DcResources.getText(Repository.systemlabels.sysState),
              "musictrackstates",
              "mtst",
              "musictrackstates",
              false,
              false,
              false);
    }
    
    public String getObjectName() {
        return DcResources.getText(Repository.systemlabels.sysState);
    }    
    
    public String getObjectNamePlural() {
        return DcResources.getText(Repository.systemlabels.sysStatePlural);
    }    
    
    public DcObject getDcObject() {
        return new MusicTrackState();
    }
    
    public String getFieldDefinitionsSettingsKey() {
        return Repository.settings.stFieldDefinitionsMusicTrackState;
    }

    public DcObject[] getDefaultData() throws Exception {
        String link = "file://" + Utilities.getCurrentDirectory() + File.separator + 
                      "icons_system" + File.separator;
            
        String[][] values = {{"Heard", link + "state_finished.gif"},
                             {"Not heard", link + "state_unfinished.gif"},
                             {"Want to have", link + "state_want.gif"},
                             {"Lost", link + "state_lost.gif"}};

        DcObject[] objects = new DcObject[values.length];
        for (int i = 0; i < values.length; i++) {
            DcObject dco = getDcObject();

            URL url = new URL(values[i][1]);
            String s = Utilities.fileToBase64String(url);

            dco.setValue(DcState._A_NAME, values[i][0]);
            dco.setValue(DcState._B_ICON, s);                            
            
            objects[i] = dco;
        }
        return objects;
    }
}
