package net.sf.dc.core.modules.software;

import javax.swing.ImageIcon;
import javax.swing.JMenu;
import javax.swing.KeyStroke;

import net.sf.dc.console.ComponentFactory;
import net.sf.dc.console.components.panels.QuickViewPanel;
import net.sf.dc.console.importcd.ImportCDDialog;
import net.sf.dc.console.software.SoftwarePlatformForm;
import net.sf.dc.core.DataCrow;
import net.sf.dc.core.Repository;
import net.sf.dc.core.modules.DcCategoryModule;
import net.sf.dc.core.modules.DcModule;
import net.sf.dc.core.modules.DcModules;
import net.sf.dc.core.modules.DcStateModule;
import net.sf.dc.core.modules.DcStorageMediaModule;
import net.sf.dc.core.modules.template.ITemplateModule;
import net.sf.dc.core.objects.DcField;
import net.sf.dc.core.objects.DcObject;
import net.sf.dc.core.objects.DcStorageMedium;
import net.sf.dc.core.objects.software.SoftwarePlatform;
import net.sf.dc.processes.cdimport.ImportCDProcess;
import net.sf.dc.resources.DcResources;
import net.sf.dc.settings.definitions.ReportFieldDefinitions;

public class SoftwarePlatformModule extends DcModule {
    
    protected SoftwarePlatformForm form;
    
    public SoftwarePlatformModule() {
        super(DcModules._SOFTWAREPLATFORM,
              false,
              DcResources.getText(Repository.systemlabels.sysPlatform),
              "softwareplatforms",
              "sopl",
              "softwareplatforms",
              false,
              false,
              false);
    }

    public String getObjectName() {
        return DcResources.getText(Repository.systemlabels.sysPlatform);
    }
    
    public String getObjectNamePlural() {
        return DcResources.getText(Repository.systemlabels.sysPlatformPlural);
    }

    public DcObject getDcObject() {
        return new SoftwarePlatform();
    }
    
    public String getFieldDefinitionsSettingsKey() {
        return Repository.settings.stFieldDefinitionsSoftwarePlatform;
    }
    
    public ImageIcon getIcon() {
        return null;
    }
    
    public ImageIcon getIconSmall() {
        return null;
    }        
    
    public KeyStroke getKeyStroke() {
        return null;
    }
    
    /**
     * Create the insert and search panel
     */    
    protected void initializeUI() {
        if (form == null)
            form = new SoftwarePlatformForm(DataCrow.mainFrame, DcModules._SOFTWAREPLATFORM);
    }

    public void startImport() {}
    
    public SoftwarePlatformForm getForm() {
        initializeUI();
        return form;    
    }  

    public boolean isEnabled() {
        return true;
    }
    
    public void isEnabled(boolean b){}
    
    public DcCategoryModule getCategoryModule() {
        return null;
    } 
    
    public DcStateModule getStateModule() {
        return null;
    } 
    
    public DcStorageMediaModule getStorageMediaModule() {
        return null;
    } 
    
    public ITemplateModule getTemplateModule() {
        return null;
    }       
    
    public JMenu getToolsMenu() {
        return null;
    }  

    public QuickViewPanel getQuickView() {
        return null;
    } 
    
    public ImportCDProcess getCDImportProcess(ImportCDDialog ui, DcStorageMedium storageMedium, String sourceDir, boolean confirmDirs, boolean recursiveDirs, String nameOfCD) {
        return null;
    }  
    
    public ReportFieldDefinitions getReportFieldDefinitions() {
        return new ReportFieldDefinitions();
    }    
    
    public String getSearchOrderSettingsKey() {
        return null;
    }
    
    protected void initializeFields() {
        super.initializeFields();
        fields.put( new Integer(SoftwarePlatform._A_NAME), 
                    new DcField(SoftwarePlatform._A_NAME, getIndex(), "Name", 
                                false, true, false, true, false,
                                255, ComponentFactory._SHORTTEXTFIELD, getIndex(), Repository.datatypes._STRING,
                                "Name"));
        fields.put( new Integer(SoftwarePlatform._B_ICON), 
                    new DcField(SoftwarePlatform._B_ICON, getIndex(), "Icon", 
                                false, true, true, false, false,
                                255, ComponentFactory._PICTUREFIELD, getIndex(), Repository.datatypes._ICON,
                                "Icon"));
    }     
    
    
    public DcObject[] getDefaultData() throws Exception {
        String[] values = {"Windows XP",
                           "Windows 2000",
                           "Windows 98",
                           "Windows 95",
                           "Windows (32-bit)",
                           "Windows (16-bit)",
                           "Windows",
                           "RedHat Linux",
                           "SuSE Linux", 
                           "Mandrake", 
                           "Linux",
                           "Mac OS X",
                           "Nintendo",
                           "Playstation 3",
                           "Playstation 2",
                           "Playstation", 
                           "XBOX 360",
                           "XBOX",
                           "OS Independent"};
        DcObject[] objects = new DcObject[values.length];
        for (int i = 0; i < values.length; i++) {
            DcObject dco = new SoftwarePlatform();
            dco.setValue(SoftwarePlatform._A_NAME, values[i]);
            objects[i] = dco;
        }
        return objects;
    }    
}

