package net.sf.dc.core.modules.software;

import net.sf.dc.core.Repository;
import net.sf.dc.core.modules.DcModules;
import net.sf.dc.core.modules.DcStorageMediaModule;
import net.sf.dc.core.objects.DcObject;
import net.sf.dc.core.objects.software.SoftwareStorageMedium;
import net.sf.dc.resources.DcResources;

public class SoftwareStorageMediaModule extends DcStorageMediaModule {

    public SoftwareStorageMediaModule() {
        super(DcModules._SOFTWARESTORAGE,
              false,
              DcResources.getText(Repository.systemlabels.sysStorageMedium),
              "softwarestoragemedia",
              "ssme",
              "softwarestoragemedia",
              false,
              false,
              false);
    }

    public String getObjectName() {
        return DcResources.getText(Repository.systemlabels.sysStorageMedium);
    }
    
    public String getObjectNamePlural() {
        return DcResources.getText(Repository.systemlabels.sysStorageMediumPlural);
    }

    public DcObject getDcObject() {
        return new SoftwareStorageMedium();
    }
    
    public String getFieldDefinitionsSettingsKey() {
        return Repository.settings.stFieldDefinitionsSoftwareStorage;
    }
    
    public DcObject[] getDefaultData() throws Exception {
        String[] values = {"DVD-ROM", "CD-ROM", "Tape", "Floppy", "HD", 
                           "USB Stick", "Blue-Ray Disc"};
        DcObject[] objects = new DcObject[values.length];
        for (int i = 0; i < values.length; i++) {
            DcObject dco = getDcObject();
            dco.setValue(SoftwareStorageMedium._A_NAME, values[i]);
            objects[i] = dco;
        }
        return objects;
    }    
}
