package net.sf.dc.core.objects;

public class DcLookAndFeel {
    
    public static final int _SKINLF = 0;
    public static final int _SYSTEMLF = 1;
    public static final int _DEFAULT = 2;
    public static final int _NONE = 3;
    
    private final String name;
    private final String filename;
    private final String className;
    
    private final int type;
    
    public DcLookAndFeel(String name, String className, String filename, int type) {
        this.name = name;
        this.className = className;
        this.filename = filename;
        this.type = type;
    }
    
    public static DcLookAndFeel getDefault() {
        return new DcLookAndFeel("Tonic L&F", "com.digitprop.tonic.TonicLookAndFeel", null, _DEFAULT);
    }

    public static DcLookAndFeel getDisabled() {
        return new DcLookAndFeel("None", null, null, _NONE);
    }
    
    public boolean equals(Object o) {
        boolean equal = false;
        if (o instanceof DcLookAndFeel) 
            equal = ((DcLookAndFeel) o).getName().equals(getName());
        return equal;
    }

    public String getName() {
        return name;
    }
    
    public String getClassName() {
        return className;
    }
    
    public String getFileName() {
        return filename;
    }
    
    public int getType() {
        return type;
    }
    
    public String toString() {
        return name;
    }
}
