/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                       (c) 2003 The Data Crow team                          *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                                                                            *
 *       This library is free software; you can redistribute it and/or        *
 *        modify it under the terms of the GNU Lesser General Public          *
 *       License as published by the Free Software Foundation; either         *
 *     version 2.1 of the License, or (at your option) any later version.     *
 *                                                                            *
 *      This library is distributed in the hope that it will be useful,       *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU       *
 *           Lesser General Public License for more details.                  *
 *                                                                            *
 *     You should have received a copy of the GNU Lesser General Public       *
 *    License along with this library; if not, write to the Free Software     *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA   *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.core.objects.audiocd;

import java.util.ArrayList;

import javax.swing.ImageIcon;

import net.sf.dc.core.data.DataManager;
import net.sf.dc.core.modules.DcModules;
import net.sf.dc.core.objects.DcMediaObject;

public class AudioCD extends DcMediaObject {

    public static final int _F_ARTIST = 6;
    public static final int _G_GENRE = 7;
    public static final int _H_PICTUREFRONT = 8;
    public static final int _I_PICTUREBACK = 9;
    public static final int _J_PICTURECD = 10;
    public static final int _K_DISCID = 11;
    public static final int _L_STATE = 12;
    public static final int _M_WEBPAGE = 13;
    
    public AudioCD() {
        super();
    }

    public void loadChildren() {
        if (children == null || children.size() == 0) {
        	children = new ArrayList();
        	children.addAll(DataManager.getChildren(getID(), DcModules._AUDIOTRACK));
        }
    }

    protected void setModuleIndex() {
        module = DcModules._AUDIOCD;
    }

    public ImageIcon getIcon() {
        return null;
    }

    public boolean equals(AudioCD audioCD) {
    	int trackCount1 = getChildren().size();
        String title1 = getValue(AudioCD._A_TITLE).toString().toLowerCase();
        String artist1 = getValue(AudioCD._F_ARTIST).toString().toLowerCase();

        String title2 = audioCD.getValue(AudioCD._A_TITLE).toString().toLowerCase();
        String artist2 = audioCD.getValue(AudioCD._F_ARTIST).toString().toLowerCase();
        int trackCount2 = audioCD.getChildren().size();


        return title1.equals(title2) && artist1.equals(artist2) &&
        	   trackCount1 == trackCount2;
    }

    public String getFilename() {
    	return null;
    }

    public String toString() {
        return getValue(AudioCD._A_TITLE) == null ? "" : (String) getValue(AudioCD._A_TITLE);
    }
}
