/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                       (c) 2003 The Data Crow team                          *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                                                                            *
 *       This library is free software; you can redistribute it and/or        *
 *        modify it under the terms of the GNU Lesser General Public          *
 *       License as published by the Free Software Foundation; either         *
 *     version 2.1 of the License, or (at your option) any later version.     *
 *                                                                            *
 *      This library is distributed in the hope that it will be useful,       *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU       *
 *           Lesser General Public License for more details.                  *
 *                                                                            *
 *     You should have received a copy of the GNU Lesser General Public       *
 *    License along with this library; if not, write to the Free Software     *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA   *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.core.objects.contactperson;

import javax.swing.ImageIcon;

import net.sf.dc.console.dialogs.MessageBox;
import net.sf.dc.core.data.DataFilter;
import net.sf.dc.core.data.DataManager;
import net.sf.dc.core.modules.DcModules;
import net.sf.dc.core.objects.DcObject;
import net.sf.dc.core.objects.Loan;
import net.sf.dc.resources.DcResources;
import net.sf.dc.wf.WorkFlow;

public class ContactPerson extends DcObject {

    public static final int _A_NAME = 1;
    public static final int _B_DESCRIPTION = 2;
    public static final int _C_PHOTO = 3;
    public static final int _D_CATEGORY = 4;
    public static final int _E_EMAIL = 5;
    public static final int _F_ADDRESS = 6;
    public static final int _G_PHONE_HOME = 7;
    public static final int _H_PHONE_WORK = 8;
    
    public ContactPerson() {
        super();
    }
    
    /**
     * Sets the module index / sets the ownership of this
     * data crow object  
     */    
    protected void setModuleIndex() {
        module = DcModules._CONTACTPERSON;
    }
    
    /**
     * Returns the icon for this object
     */    
    public ImageIcon getIcon() {
        return null;    
    }
    
    public String getFilename() {
        return null;
    }
    
    public void delete() {
        Loan loan = new Loan();
        loan.setValue(Loan._C_CONTACTPERSONID, getID());
        
        DataFilter df = new DataFilter(DcModules._LOAN, loan, null);
        DcObject[] loans = DataManager.get(DcModules._LOAN, df);
        
        if (loans == null || loans.length == 0) {
            WorkFlow.deleteValues(this);  
        } else {
            new MessageBox(DcResources.getText("msgCantBeDeletedDueToLoans"), MessageBox._WARNING);
        }
    }    
    
    /**
     * Create a UI representation for this object
     */
    public String toString() {
        return getValue(ContactPerson._A_NAME) != null ? getValue(ContactPerson._A_NAME).toString() : "";
    }     
}

