package net.sf.dc.core.objects.enhancement;

import java.util.StringTokenizer;

import net.sf.dc.core.objects.DcField;
import net.sf.dc.core.objects.DcMediaObject;

public class TitleRewriter implements IValueEnhancer {

    private boolean enabled = false;
    private String workList;
    private final int field = DcMediaObject._A_TITLE;

    
    public TitleRewriter() {
    }    
    
    public TitleRewriter(boolean enabled, String list) {
        this.enabled = enabled;
        this.workList = list;
    }
    
    public int getField() {
        return field;
    }    

    public String getWordList() {
        return workList;
    } 
    
    public String toSaveString() {
        return enabled + "/&/" + workList;
    }

    public int getIndex() {
        return ValueEnhancers._TITLEREWRITERS;
    }
    
    public void parse(String s) {
        enabled = Boolean.valueOf(s.substring(0, s.indexOf("/&/"))).booleanValue();
        workList = s.substring(s.indexOf("/&/") + 3, s.length());
    }

    public Object apply(DcField field, Object value) {
        Object result = value;

        if (value != null && value instanceof String) {
            String s = (String) result;
            StringTokenizer st = new StringTokenizer(workList, ",");
            while (st.hasMoreElements()) {
                String keyword = ((String) st.nextElement()) + " ";
                
                if (s.toLowerCase().startsWith(keyword.toLowerCase())) {
                    int start = keyword.length();
                    int end = s.length();
                    
                    if (start < end) 
                        result = s.substring(start, end) + ", " + keyword.trim();
                }
            }
        }
        return result;
    }
    
    public boolean isRunOnUpdating() {
        return true;
    }
    
    public boolean isRunOnInsert() {
        return true;
    }
    

    public boolean isEnabled() {
        return enabled;
    }
}
