package net.sf.dc.core.objects.onlinesearch;

import java.util.ArrayList;
import java.util.Collection;

public abstract class DcServer {
    
    private final String displayName;
    private final String url;
    private final boolean isKeywordSearchAllowed;
    
    private final Collection modes = new ArrayList();
    private final Collection regions = new ArrayList();
    
    public DcServer(String displayName, String url, boolean isKeywordSearchAllowed) {
        this.displayName = displayName;
        this.url = url;
        this.isKeywordSearchAllowed = isKeywordSearchAllowed;
    }
    
    public void addMode(DcSearchMode mode) {
        modes.add(mode);
    }
    
    public void addRegion(DcRegion region) {
        regions.add(region);
    }
    
    public String getUrl() {
        return url;
    }

    public String getName() {
        return displayName;
    }
    
    public Collection getModes() {
        return modes;
    }
    
    public Collection getRegions() {
        return regions;
    }
    
    public boolean hasModes() {
        return modes != null && modes.size() > 0;
    }
    
    public boolean isKeywordSearchAllowed() {
        return isKeywordSearchAllowed;
    }
    
    public String toString() {
        return displayName;
    }
    
    public boolean equals(Object o) {
        boolean equals = false;
        if (o instanceof DcServer) {
            equals = ((DcServer) o).getName().equals(getName());
        }
        return equals;
    }
}
