package net.sf.dc.core.objects.template;

import javax.swing.ImageIcon;

import net.sf.dc.core.modules.DcModules;
import net.sf.dc.core.objects.audiocd.AudioCD;
import net.sf.dc.exceptions.ValidationException;

public class TemplateAudioCd extends AudioCD implements ITemplate {

    public static final int _SYS_TEMPLATENAME = 50;
    public static final int _SYS_DEFAULT = 51;
 
    public TemplateAudioCd() {
        super();
     }

     protected void setModuleIndex() {
         module = DcModules._TEMPLATEAUDIOCD;
     }

     public ImageIcon getIcon() {
         return null;
     }

     public boolean isDefault() {
         Object o = getValue(_SYS_DEFAULT);
         
         if (o == null)
             return false;
         
         if (o instanceof String)
             return new Boolean((String) o).booleanValue();
         
         return ((Boolean) getValue(_SYS_DEFAULT)).booleanValue();
     }
     
     public String getTemplateName() {
         return (String) getValue(_SYS_TEMPLATENAME);
     }     
     
     public String toString() {
         return getValue(TemplateAudioCd._SYS_TEMPLATENAME) != null ? 
                getValue(TemplateAudioCd._SYS_TEMPLATENAME).toString() : "";
     }

    public int getParentModule() {
        return DcModules._AUDIOCD;
    }  
    
    public void checkIntegrity(boolean update) throws ValidationException {
        validateRequiredFields();
        isUnique(this, update);
    }
}