package net.sf.dc.core.objects.template;

import javax.swing.ImageIcon;

import net.sf.dc.core.modules.DcModules;
import net.sf.dc.core.objects.book.Book;
import net.sf.dc.exceptions.ValidationException;

public class TemplateBook extends Book implements ITemplate {

    public static final int _SYS_TEMPLATENAME = 50;
    public static final int _SYS_DEFAULT = 51;
 
    public TemplateBook() {
        super();
     }

     protected void setModuleIndex() {
         module = DcModules._TEMPLATEBOOK;
     }

     public ImageIcon getIcon() {
         return null;
     }
     
     public boolean isDefault() {
         Object o = getValue(_SYS_DEFAULT);
         
         if (o == null)
             return false;
         
         if (o instanceof String)
             return new Boolean((String) o).booleanValue();
         
         return ((Boolean) getValue(_SYS_DEFAULT)).booleanValue();
     }
     
     public String getTemplateName() {
         return (String) getValue(_SYS_TEMPLATENAME);
     }     

     public String toString() {
         return getValue(TemplateBook._SYS_TEMPLATENAME) != null ? 
                getValue(TemplateBook._SYS_TEMPLATENAME).toString() : "";
     }   
     
     public int getParentModule() {
         return DcModules._BOOK;
     }     

     public void checkIntegrity(boolean update) throws ValidationException {
         validateRequiredFields();
         isUnique(this, update);
     } 
}
