/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                       (c) 2003 The Data Crow team                          *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                                                                            *
 *       This library is free software; you can redistribute it and/or        *
 *        modify it under the terms of the GNU Lesser General Public          *
 *       License as published by the Free Software Foundation; either         *
 *     version 2.1 of the License, or (at your option) any later version.     *
 *                                                                            *
 *      This library is distributed in the hope that it will be useful,       *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU       *
 *           Lesser General Public License for more details.                  *
 *                                                                            *
 *     You should have received a copy of the GNU Lesser General Public       *
 *    License along with this library; if not, write to the Free Software     *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA   *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.db;

import net.sf.dc.core.objects.DcField;

public class QueryOptions {

    private String[] ordering;
    private boolean bPreciseSelect;
    private boolean bComplyToAllConditions;

    public QueryOptions(DcField[] ordering, boolean bComplyToAllConditions, boolean bPreciseSelect) {
        if (ordering != null) {
            this.ordering = new String[ordering.length];
            for (int i = 0; i < ordering.length; i++) {
                this.ordering[i] = ordering[i].getDatabaseFieldName();
            }
        } else {
            this.ordering = new String[0];
        }

        this.bComplyToAllConditions = bComplyToAllConditions;
        this.bPreciseSelect = bPreciseSelect;
    }

    public String[] getOrdering() {
        return ordering;
    }

    public boolean getComplyAllConditions() {
        return bComplyToAllConditions;
    }

    public boolean getPreciseSelect() {
        return bPreciseSelect;
    }
}
