/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                       (c) 2003 The Data Crow team                          *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                                                                            *
 *       This library is free software; you can redistribute it and/or        *
 *        modify it under the terms of the GNU Lesser General Public          *
 *       License as published by the Free Software Foundation; either         *
 *     version 2.1 of the License, or (at your option) any later version.     *
 *                                                                            *
 *      This library is distributed in the hope that it will be useful,       *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU       *
 *           Lesser General Public License for more details.                  *
 *                                                                            *
 *     You should have received a copy of the GNU Lesser General Public       *
 *    License along with this library; if not, write to the Free Software     *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA   *
 *                                                                            *
 ******************************************************************************/

/*
 *  Originally this code came from (but has been heavily modified) :
 * 
 *  ********************************************************************   **
 *  Copyright notice                                                       **
 *  **																	   **
 *  (c) 2003 Entagged Developpement Team				                   **
 *  http://www.sourceforge.net/projects/entagged                           **
 *  **																	   **
 *  All rights reserved                                                    **
 *  **																	   **
 *  This script is part of the Entagged project. The Entagged 			   **
 *  project is free software; you can redistribute it and/or modify        **
 *  it under the terms of the GNU General Public License as published by   **
 *  the Free Software Foundation; either version 2 of the License, or      **
 *  (at your option) any later version.                                    **
 *  **																	   **
 *  The GNU General Public License can be found at                         **
 *  http://www.gnu.org/copyleft/gpl.html.                                  **
 *  **																	   **
 *  This copyright notice MUST APPEAR in all copies of the file!           **
 *  ********************************************************************
 */

package net.sf.dc.freedb;

public class FreedbQueryResult {
    
    private String album,artist,id,category;
    private boolean exactMatch;
    
    public FreedbQueryResult(String queryResult) {
        this(queryResult, false);
    }
    
    public FreedbQueryResult(String freedbQueryResult, boolean exactMatch) {
        this.exactMatch = exactMatch;
        
		String[] fields = freedbQueryResult.split( " ", 3 );

		this.category = fields[0];
		this.id = fields[1];

		String[] infos = fields[2].split(" / ", 2);
		this.artist = infos[0];
		this.album = (infos.length > 1) ? infos[1] : "";
    }
    
    public String getCategory() {
        return this.category;
    }
    
    public String getDiscId() {
        return this.id;
    }
    
    public String getAlbum() {
        return this.album;
    }
    
    public String getArtist() {
        return this.artist;
    }
    
    public boolean isExactMatch() {
        return this.exactMatch;
    }
    
    public String toString() {
		String output = "---Free DB Query Result-----------------------\n";

		output += "Genre: " + getCategory() + "\tCD ID: " + getDiscId() + "\n";
		output += "Album: " + getAlbum() + "\tArtist: " + getArtist();
		output += "\n----------------------------------------";
		return output;
	}
}
