package net.sf.dc.wf.requests;

import java.util.Collection;

import net.sf.dc.console.forms.DcSimpleItemView;
import net.sf.dc.console.views.MasterView;
import net.sf.dc.console.views.table.TableSearchView;
import net.sf.dc.core.modules.DcModule;
import net.sf.dc.core.modules.DcModules;
import net.sf.dc.core.objects.DcObject;

public class RefreshChildView implements IUpdateUIRequest {

    private boolean executeOnFail = false;
    private DcSimpleItemView form;
    private DcObject child;
    
    private int parentModuleIdx;
    
    private String ID;
    private String parentID;
    private boolean isNew;
    
    public RefreshChildView(DcSimpleItemView form, int parentModuleIdx, DcObject child, String ID, String parentID, boolean isNew) {
        this.form = form;
        this.child = child;
        this.ID = ID;
        this.parentID = parentID;
        this.isNew = isNew;
        this.parentModuleIdx = parentModuleIdx;
    }
    
    public void execute(Collection c) {
        if (form != null)
            form.addObjects();
        
        DcModule parentModule = DcModules.getModule(parentModuleIdx);
        DcModule childModule = parentModule.getChildModule();

        parentModule.getSearchView().get(MasterView._LIST_VIEW).updateRow(parentID, parentModule.getDcObject(), false, false, false);

        if (!isNew) {
            if (child != null) {
                childModule.getSearchView().get(MasterView._TABLE_VIEW).updateRow(child.getID(), child, true, true, false);
            } else if (ID != null) {
                childModule.getSearchView().get(MasterView._TABLE_VIEW).removeRows(new String[] {ID});
            } else {
                TableSearchView tableView = (TableSearchView) parentModule.getSearchView().get(MasterView._TABLE_VIEW);
                tableView.loadChildValues();
            }
        } else {
            TableSearchView tableView = (TableSearchView) parentModule.getSearchView().get(MasterView._TABLE_VIEW);
            tableView.loadChildValues();
        }
    }

    public boolean getExecuteOnFail() {
        return executeOnFail;
    }
    
    public void setExecuteOnFail(boolean b) {
        executeOnFail = b;
    }
}
