/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                       (c) 2003 The Data Crow team                          *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                                                                            *
 *       This library is free software; you can redistribute it and/or        *
 *        modify it under the terms of the GNU Lesser General Public          *
 *       License as published by the Free Software Foundation; either         *
 *     version 2.1 of the License, or (at your option) any later version.     *
 *                                                                            *
 *      This library is distributed in the hope that it will be useful,       *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU       *
 *           Lesser General Public License for more details.                  *
 *                                                                            *
 *     You should have received a copy of the GNU Lesser General Public       *
 *    License along with this library; if not, write to the Free Software     *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA   *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.wf.requests;

import java.util.Collection;

import net.sf.dc.core.modules.DcModule;
import net.sf.dc.core.modules.DcModules;

public class RemoveFromCacheRequest implements IRequest {

    private final String id;
    private final int module;
    private boolean executeOnFail = false;

    public RemoveFromCacheRequest(int module, String id) {
        this.id = id;
        this.module = module;
    }

    public void execute(Collection objects) {
        DcModule mod = DcModules.getModule(module);
        mod.getSearchView().removeFromCache(id);
    }

    public boolean getExecuteOnFail() {
    	return executeOnFail;
    }

    public void setExecuteOnFail(boolean b) {
    	executeOnFail = b;
    }
}
