package net.sf.dc.wf.requests;

import java.util.Collection;

import net.sf.dc.core.data.DataManager;
import net.sf.dc.core.modules.DcModules;
import net.sf.dc.core.objects.DcObject;
import net.sf.dc.core.objects.generic.GenericObject;

public class SynchronizeWithManagerRequest implements IRequest {
    
    public static final int _UPDATE = 0;
    public static final int _DELETE = 1;
    public static final int _ADD = 2;
    
    private int type; 
    private int module;
    private DcObject dco;
    
    public SynchronizeWithManagerRequest(int type, DcObject dco) {
        this.type = type;
        this.dco = dco;
        
        if (dco instanceof GenericObject)
            this.module = DcModules.getCurrentModule().getIndex();
        else         
            this.module = dco.getModule().getIndex();
    }

    public void execute(Collection objects) {
        switch (type) {
        case _UPDATE:
            DataManager.update(dco, module);
            break;
        case _ADD:
            DataManager.add(dco, module);
            break;
        case _DELETE:
            DataManager.remove(dco, module);
            break;
        }
    }

    public boolean getExecuteOnFail() {
        return false;
    }

    public void setExecuteOnFail(boolean b) {}
}
