package net.sf.dc.wf.requests;

import java.util.Collection;

import net.sf.dc.core.data.DataManager;
import net.sf.dc.core.objects.DcObject;
import net.sf.dc.core.objects.template.TemplateSoftware;
import net.sf.dc.messages.Messages;

public class UpdateDefaultTemplate implements IRequest {

    private final String templateName;
    private final int module;

    public UpdateDefaultTemplate(String templateName, int module) {
        this.templateName = templateName;
        this.module = module;
    }

    public void execute(Collection objects) {
        try {
            DcObject[] templates = DataManager.get(module, null);
            for (int i = 0; i < templates.length; i++) {
                if (!templates[i].getValue(TemplateSoftware._SYS_TEMPLATENAME).equals(templateName)) {
                    templates[i].setValue(TemplateSoftware._SYS_DEFAULT, new Boolean(false));
                    templates[i].saveUpdate(false);
                }
            }
        } catch (Exception exp) {
            Messages.add(exp);
        }
    }

    public boolean getExecuteOnFail() {
        return false;
    }

    public void setExecuteOnFail(boolean b) {}
}