package net.sf.dc.wf.requests;

import java.util.Collection;

import net.sf.dc.console.MainFrame;
import net.sf.dc.console.views.View;
import net.sf.dc.core.Repository;
import net.sf.dc.core.modules.DcModule;
import net.sf.dc.core.modules.DcModules;
import net.sf.dc.settings.DcSettings;

public class UpdateStatusProgressBarRequest implements IRequest {

    private boolean executeOnFail = true;
    private final int module;
    private final int panel;
    private final int value;
    
    public UpdateStatusProgressBarRequest(int module, int panel, int value) {
        this.module = module;
        this.panel = panel;
        this.value = value;
    }
    
    public void execute(Collection c) {
        DcModule mod = DcModules.getModule(DcSettings.getValueAsInt(Repository.settings.stModule));
        if (mod.getIndex() != DcModules._GENERIC)
            mod = DcModules.getModule(module);

        try {
            View view;
            if (panel == MainFrame._SEARCHTAB) 
                view = mod.getCurrentSearchView();
            else
                view = mod.getCurrentInsertView();
            
            view.updateProgressBar(value);

        } catch (Exception ignore) {}
    }

    public boolean getExecuteOnFail() {
        return executeOnFail;
    }
    
    public void setExecuteOnFail(boolean b) {
        executeOnFail = b;
    }
}